package com.bcxin.risk.report.enums;

public enum CacheBusinessModule {
	
	/** 保险产品详情*/
	PRODUCT_INFO {public String getValue(){return "0";} public String getName(){return "保险产品详情";}}, 
	
	/** 初始化地区*/
	INIT_REGION {public String getValue(){return "1";} public String getName(){return "初始化地区";} };
	
    public abstract String getValue();
    
    public abstract String getName();
    
    public static CacheBusinessModule convert(String value){
    	if ( "PRODUCT_INFO".equals(value) ) {
    		return CacheBusinessModule.PRODUCT_INFO;
    	} else if ("INIT_REGION".equals(value)) {
    		return CacheBusinessModule.INIT_REGION;
    	} 
    	return null;
    }
    
    public static void main(String[] args) {
		System.out.println(CacheBusinessModule.INIT_REGION.toString());

	}
	 
}
